Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.space
Class AbstractNeighborhooder

    java.lang.Object
      uchicago.src.sim.space.AbstractNeighborhooder

All Implemented Interfaces:
  Neighborhooder

Direct Known Subclasses:
  HexMultiNeighborhooder, HexNeighborhooder, MooreMultiNeighborhooder, MooreNeighborhooder, VNMultiNeighborhooder, VNNeighborhooder

    public abstract class AbstractNeighborhooder

extends java.lang.Object
implements Neighborhooder

Field Summary
`protected java.util.Comparator` | `comparator`
`protected Discrete2DSpace` | `space`
`protected boolean` | `torus`

Constructor Summary
`AbstractNeighborhooder(Discrete2DSpace space)`

Method Summary
`protected java.util.Vector` | `compareMax(java.util.Vector v)`
`protected java.util.Vector` | `compareMin(java.util.Vector v)`
`java.util.Vector` | `findMaximum(int x, int y, int[] range, boolean includeOrigin)`
`java.util.Vector` | `findMinimum(int x, int y, int[] range, boolean includeOrigin)`
`void` | `setComparator(java.util.Comparator c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.space.Neighborhooder
`getNeighbors`

Field Detail

### comparator

    protected java.util.Comparator comparator

### space

    protected Discrete2DSpace space

### torus

    protected boolean torus

Constructor Detail

### AbstractNeighborhooder

    public AbstractNeighborhooder(Discrete2DSpace space)

Method Detail

### setComparator

    public void setComparator(java.util.Comparator c)

  Specified by:
    `setComparator` in interface `Neighborhooder`

### findMaximum

    public java.util.Vector findMaximum(int x,
                                        int y,
                                        int[] range,
                                        boolean includeOrigin)

  Specified by:
    `findMaximum` in interface `Neighborhooder`

### findMinimum

    public java.util.Vector findMinimum(int x,
                                        int y,
                                        int[] range,
                                        boolean includeOrigin)

  Specified by:
    `findMinimum` in interface `Neighborhooder`

### compareMax

    protected java.util.Vector compareMax(java.util.Vector v)

### compareMin

    protected java.util.Vector compareMin(java.util.Vector v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD